/* اضافه کردن فونت وزیرمتن از گوگل فونت */
@import url('https://fonts.googleapis.com/css2?family=Vazirmatn:wght@100..900&display=swap');

@import "tailwindcss";
/* معرفی پلاگین تایپوگرافی به Tailwind v4 */
@plugin "@tailwindcss/typography";

/* معرفی فونت به Tailwind v4 */
@theme {
  --font-sans: 'Vazirmatn', ui-sans-serif, system-ui, sans-serif;
}

@custom-variant dark (&:where(.dark, .dark *));

@layer utilities {
  .animate-fade-up {
    animation: fadeUp 0.8s cubic-bezier(0.16, 1, 0.3, 1) forwards;
    opacity: 0;
  }
  .delay-100 { animation-delay: 100ms; }
  .delay-200 { animation-delay: 200ms; }
  .delay-300 { animation-delay: 300ms; }
}

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(40px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
